import { ReplayPerformanceEntry } from '@/createPerformanceEntry';
declare type XHRSendInput = null | Blob | BufferSource | FormData | URLSearchParams | string;
interface SentryWrappedXMLHttpRequest extends XMLHttpRequest {
    [key: string]: any;
    __sentry_xhr__?: {
        method?: string;
        url?: string;
        status_code?: number;
        body?: XHRSendInput;
        startTimestamp?: number;
    };
    __sentry_own_request__?: boolean;
}
interface XhrHandlerData {
    args: [method: string, url: string];
    xhr: SentryWrappedXMLHttpRequest;
    startTimestamp: number;
    endTimestamp?: number;
}
export declare function handleXhr(handlerData: XhrHandlerData): ReplayPerformanceEntry;
export {};
